Bug 1126557 - [abrt] sssd-common: talloc_abort(): sssd_be killed by SIGABRT
Summary: [abrt] sssd-common: talloc_abort(): sssd_be killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Slebodnik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:155aca0669c7033acd9ce5a1e1d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 19:02 UTC by Mark E. Wilt
Modified: 2015-02-08 08:57 UTC (History)
9 users (show)

Fixed In Version: sssd-1.11.7-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-08 08:57:24 UTC


Attachments (Terms of Use)
File: backtrace (17.52 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: cgroup (163 bytes, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: core_backtrace (7.84 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: dso_list (7.90 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: environ (122 bytes, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: maps (36.35 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: open_fds (1.58 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: proc_pid_status (907 bytes, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details
File: var_log_messages (14.73 KB, text/plain)
2014-08-04 19:02 UTC, Mark E. Wilt
no flags Details

Description Mark E. Wilt 2014-08-04 19:02:12 UTC
Description of problem:
sssd configured w/ AD as access & id provider; AD has gazillions of users/groups & group re-mapping in place. Finally came up w/ a sssd.conf that returns sensible values for groups, but not w/out causing this dump first. Dump caused when doing a 'id <ad-userid>'

Version-Release number of selected component:
sssd-common-1.11.6-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_be --domain ******.******.edu --debug-to-files
crash_function: talloc_abort
executable:     /usr/libexec/sssd/sssd_be
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 talloc_abort at ../talloc.c:338
 #3 talloc_abort_access_after_free at ../talloc.c:357
 #4 talloc_chunk_from_ptr at ../talloc.c:378
 #6 talloc_get_name at ../talloc.c:1353
 #7 _talloc_get_type_abort at ../talloc.c:1406
 #8 sdap_nested_group_process_done at src/providers/ldap/sdap_async_nested_groups.c:935
 #9 _tevent_req_error at ../tevent_req.c:135
 #11 sdap_nested_group_process_done at src/providers/ldap/sdap_async_nested_groups.c:975
 #12 _tevent_req_error at ../tevent_req.c:135
 #13 sdap_nested_group_deref_direct_done at src/providers/ldap/sdap_async_nested_groups.c:2282

Potential duplicate: bug 908759

Comment 1 Mark E. Wilt 2014-08-04 19:02:14 UTC
Created attachment 923983 [details]
File: backtrace

Comment 2 Mark E. Wilt 2014-08-04 19:02:15 UTC
Created attachment 923984 [details]
File: cgroup

Comment 3 Mark E. Wilt 2014-08-04 19:02:16 UTC
Created attachment 923985 [details]
File: core_backtrace

Comment 4 Mark E. Wilt 2014-08-04 19:02:17 UTC
Created attachment 923986 [details]
File: dso_list

Comment 5 Mark E. Wilt 2014-08-04 19:02:17 UTC
Created attachment 923987 [details]
File: environ

Comment 6 Mark E. Wilt 2014-08-04 19:02:18 UTC
Created attachment 923988 [details]
File: limits

Comment 7 Mark E. Wilt 2014-08-04 19:02:19 UTC
Created attachment 923989 [details]
File: maps

Comment 8 Mark E. Wilt 2014-08-04 19:02:20 UTC
Created attachment 923990 [details]
File: open_fds

Comment 9 Mark E. Wilt 2014-08-04 19:02:20 UTC
Created attachment 923991 [details]
File: proc_pid_status

Comment 10 Mark E. Wilt 2014-08-04 19:02:21 UTC
Created attachment 923992 [details]
File: var_log_messages

Comment 11 Jakub Hrozek 2014-08-05 07:14:45 UTC
Pavel, could this be the bug you fixed the other day? The one where we didn't return from a function after calling tevent_req_done (or tevent_req_error, I'm not sure from the top of my head..)

Comment 12 Pavel Reichl 2014-08-05 11:42:12 UTC
Hello Jakub,

I'm not sure, it's definitely in relevant part of code but it's not easy to say.


Hello Mark,

are you able to replicate the problem easily? Would you consider setting debug_level=0xfff0 in relevant domain in sssd.conf and provide us with logs (/var/log/sssd/)?

I would also like to prepare a scratch build with patch mentioned above by Jakub. Would you be willing to test, if it resolves the issue for you.

Comment 13 Lukas Slebodnik 2014-10-03 07:47:33 UTC
New version of sssd 1.11.7-2.fc20 is available update-testing for Fedora 20.
It contains lots of bug fixes.

Can you reproduce crash with this package?

Comment 14 Mark E. Wilt 2014-10-20 13:07:56 UTC
I'm unable to recreate this problem. Have been pulled off the project that had access to the AD data in question.

Comment 15 Lukas Slebodnik 2014-10-20 13:32:40 UTC
We don't have a coredump or any logfiles and you are not able to reproduce this crash. I will close this bug as insufficient_data.

Feel free to reopen it with more data.

Comment 16 Lukas Slebodnik 2015-01-29 17:17:56 UTC
I reopening this ticket.
We identified problem in upstream so we can fix it in Fedora as well.

Comment 17 Lukas Slebodnik 2015-01-29 17:18:59 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2531

Comment 18 Fedora Update System 2015-01-29 18:12:02 UTC
sssd-1.11.7-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sssd-1.11.7-5.fc20

Comment 19 Fedora Update System 2015-01-30 23:56:03 UTC
Package sssd-1.11.7-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.11.7-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1449/sssd-1.11.7-5.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2015-02-08 08:57:24 UTC
sssd-1.11.7-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.